org.apache.http.conn.ssl

## Class AbstractVerifier

- java.lang.Object
- - org.apache.http.conn.ssl.AbstractVerifier

- All Implemented Interfaces:
    HostnameVerifier, X509HostnameVerifier
  Direct Known Subclasses:
    AllowAllHostnameVerifier, BrowserCompatHostnameVerifier, StrictHostnameVerifier

  Deprecated.
  (4.4) use an implementation of `HostnameVerifier` or `DefaultHostnameVerifier`.

      @Deprecated
      public abstract class AbstractVerifier
      extends Object
      implements X509HostnameVerifier

  Abstract base class for all standard `X509HostnameVerifier` implementations.
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractVerifier()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `acceptableCountryWildcard(String cn)` Deprecated.
    `static int` | `countDots(String s)` Deprecated. Counts the number of dots "." in a string.
    `static String[]` | `getCNs(X509Certificate cert)` Deprecated.
    `static String[]` | `getDNSSubjectAlts(X509Certificate cert)` Deprecated. Extracts the array of SubjectAlt DNS names from an X509Certificate.
    `boolean` | `verify(String host, SSLSession session)` Deprecated.
    `void` | `verify(String host, SSLSocket ssl)` Deprecated. Verifies that the host name is an acceptable match with the server's authentication scheme based on the given `SSLSocket`.
    `void` | `verify(String host, String[] cns, String[] subjectAlts, boolean strictWithSubDomains)` Deprecated.
    `void` | `verify(String host, X509Certificate cert)` Deprecated. Verifies that the host name is an acceptable match with the server's authentication scheme based on the given `X509Certificate`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.conn.ssl.X509HostnameVerifier

      `verify`

- - ### Constructor Detail

    - #### AbstractVerifier

          public AbstractVerifier()

      Deprecated.

  - ### Method Detail

    - #### verify

          public final void verify(String host,
                    SSLSocket ssl)
                            throws IOException

      Deprecated.
      Description copied from interface: `X509HostnameVerifier`
      Verifies that the host name is an acceptable match with the server's authentication scheme based on the given `SSLSocket`.
      Specified by:
        `verify` in interface `X509HostnameVerifier`
      Parameters:
        `host` - the host.
        `ssl` - the SSL socket.
      Throws:
        `IOException` - if an I/O error occurs or the verification process fails.

    - #### verify

          public final boolean verify(String host,
                       SSLSession session)

      Deprecated.
      Specified by:
        `verify` in interface `HostnameVerifier`

    - #### verify

          public final void verify(String host,
                    X509Certificate cert)
                            throws SSLException

      Deprecated.
      Description copied from interface: `X509HostnameVerifier`
      Verifies that the host name is an acceptable match with the server's authentication scheme based on the given `X509Certificate`.
      Specified by:
        `verify` in interface `X509HostnameVerifier`
      Parameters:
        `host` - the host.
        `cert` - the certificate.
      Throws:
        `SSLException` - if the verification process fails.

    - #### verify

          public final void verify(String host,
                    String[] cns,
                    String[] subjectAlts,
                    boolean strictWithSubDomains)
                            throws SSLException

      Deprecated.
      Throws:
        `SSLException`

    - #### acceptableCountryWildcard

          public static boolean acceptableCountryWildcard(String cn)

      Deprecated.

    - #### getCNs

          public static String[] getCNs(X509Certificate cert)

      Deprecated.

    - #### getDNSSubjectAlts

          public static String[] getDNSSubjectAlts(X509Certificate cert)

      Deprecated.
      Extracts the array of SubjectAlt DNS names from an X509Certificate. Returns null if there aren't any.

      Note: Java doesn't appear able to extract international characters from the SubjectAlts. It can only extract international characters from the CN field.

      (Or maybe the version of OpenSSL I'm using to test isn't storing the international characters correctly in the SubjectAlts?).

      Parameters:
        `cert` - X509Certificate
      Returns:
        Array of SubjectALT DNS names stored in the certificate.

    - #### countDots

          public static int countDots(String s)

      Deprecated.
      Counts the number of dots "." in a string.
      Parameters:
        `s` - string to count dots from
      Returns:
        number of dots

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.